## org.apache.mahout.classifier
Class ClassifierResult

    java.lang.Object
      org.apache.mahout.classifier.ClassifierResult

    public class ClassifierResult

extends java.lang.Object

Result of a Document Classification. The label and the associated score(Usually probabilty)

Constructor Summary
`ClassifierResult()`
`ClassifierResult(java.lang.String label)`
`ClassifierResult(java.lang.String label, double score)`

Method Summary
`java.lang.String` `getLabel()`
`double` `getScore()`
`void` `setLabel(java.lang.String label)`
`void` `setScore(double score)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassifierResult

    public ClassifierResult()

### ClassifierResult

    public ClassifierResult(java.lang.String label,
                            double score)

### ClassifierResult

    public ClassifierResult(java.lang.String label)

Method Detail

### getLabel

    public java.lang.String getLabel()

### getScore

    public double getScore()

### setLabel

    public void setLabel(java.lang.String label)

### setScore

    public void setScore(double score)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.